/*
**	CSCROLL 
**
**	This function is used to scroll to a particular row in a given table 
**	field. It can be called from an ABF application. It should be declared
**	as returning an integer value, and the source file it is placed in 
**	should have an extension of .SC. This procedure is not suitable for use
**	in an ABF application which uses QUEL as its query language.
**
**	CALLING :  new_row := cscroll(form_name, tab_name, record)
**	SEQUENCE		where new_row is of type i4
**
**	INPUT   :  form_name	name of the current form, makes the routine
**				more general [Type is c - var length]
**
**		   tab_name	The name of the table to scroll on the
**				current form [Type is c - var length]
**
**		   record	-1 means scroll to end of data set,
**		           	otherwise scroll to specified row number.
**				[Type is integer4]
**
**	OUTPUT  :  new_row	return value [Type is integer4]
**
*/

int cscroll (pform_name, ptab_name, precord)
char *pform_name;
char *ptab_name;
int precord;
{
	EXEC SQL BEGIN DECLARE SECTION;
	    char *form_name;
	    char *tab_name;
	    int record;
	    int new_row;
	EXEC SQL END DECLARE SECTION;

	/*
	**	assign passed parameters to local variables
	*/
	form_name = pform_name;
	tab_name = ptab_name;
	record = precord;

	/*
	**	now do the scrolling.
	*/
	if (record == -1)
		EXEC FRS SCROLL :form_name :tab_name TO END;
	else
		EXEC FRS SCROLL :form_name :tab_name TO :record;
	EXEC FRS INQUIRE_FRS TABLE "" (:new_row = rowno(:tab_name));

	/*
	**	return the value of the new row
	*/
	return new_row;
	}
