/*
**	SEARCH 
**
**	this procedure searches one supplied string for the presence
**	of a second supplied string
**
**	written by Rob Clack		Relational Technology Inc.
**	(actually lifted more or less straight from Kernighan & Ritchie)
**
**	date written December 1987
**
**	CALLING :  		search(string1,string2)
**
**	INPUT   :  string1	string to be searched
**
**		   string2	string being sought
**
**	OUTPUT  :  		return value [Type is integer4]
**
*/

search(s, t)
char s[], t[];
{
	int i, j, k;

	for (i = 0; s[i] != '\0'; i++) {
		for (j=i, k=0; t[k] != '\0' && s[j] == t[k]; j++, k++)
		   ;
		if (t[k] == '\0')
			return(i);
	}
	return(-1);
}
